Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::PositionBasedTermVectorMapper Class Reference

`#include <PositionBasedTermVectorMapper.h>`

Inheritance diagram for Lucene::PositionBasedTermVectorMapper:

## Public Member Functions

| PositionBasedTermVectorMapper (bool ignoringOffsets=false)
virtual | ~PositionBasedTermVectorMapper ()
virtual String | getClassName ()
boost::shared_ptr< PositionBasedTermVectorMapper > | shared_from_this ()
virtual bool | isIgnoringPositions ()
| Never ignores positions. This mapper doesn't make much sense unless there are positions.
virtual void | map (const String &term, int32_t frequency, Collection< TermVectorOffsetInfoPtr > offsets, Collection< int32_t > positions)
| Callback for the TermVectorReader.
virtual void | setExpectations (const String &field, int32_t numTerms, bool storeOffsets, bool storePositions)
| Callback mechanism used by the TermVectorReader.
MapStringMapIntTermVectorsPositionInfo | getFieldToTerms ()
| Get the mapping between fields and terms, sorted by the comparator.
Public Member Functions inherited from Lucene::TermVectorMapper
| TermVectorMapper (bool ignoringPositions=false, bool ignoringOffsets=false)
virtual | ~TermVectorMapper ()
boost::shared_ptr< TermVectorMapper > | shared_from_this ()
virtual bool | isIgnoringOffsets ()
virtual void | setDocumentNumber (int32_t documentNumber)
| Passes down the index of the document whose term vector is currently being mapped, once for each top level call to a term vector reader.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermVectorMapper
static String | _getClassName ()

## Protected Attributes

MapStringMapIntTermVectorsPositionInfo | fieldToTerms
String | currentField
MapIntTermVectorsPositionInfo | currentPositions
| A Map of Integer and TermVectorsPositionInfo.
bool | storeOffsets
Protected Attributes inherited from Lucene::TermVectorMapper
bool | ignoringPositions
bool | ignoringOffsets
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ PositionBasedTermVectorMapper()

Lucene::PositionBasedTermVectorMapper::PositionBasedTermVectorMapper | ( | bool | ignoringOffsets = `false` | ) |

## ◆ ~PositionBasedTermVectorMapper()

virtual Lucene::PositionBasedTermVectorMapper::~PositionBasedTermVectorMapper | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::PositionBasedTermVectorMapper::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::PositionBasedTermVectorMapper::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermVectorMapper.

## ◆ getFieldToTerms()

MapStringMapIntTermVectorsPositionInfo Lucene::PositionBasedTermVectorMapper::getFieldToTerms | ( |  | ) |

Get the mapping between fields and terms, sorted by the comparator.

Returns
  A map between field names and a Map. The sub-Map key is the position as the integer, the value is `PositionBasedTermVectorMapper`.

## ◆ isIgnoringPositions()

virtual bool Lucene::PositionBasedTermVectorMapper::isIgnoringPositions | ( |  | ) |

virtual

Never ignores positions. This mapper doesn't make much sense unless there are positions.

Returns
  false

Reimplemented from Lucene::TermVectorMapper.

## ◆ map()

virtual void Lucene::PositionBasedTermVectorMapper::map | ( | const String & | term,
|  | int32_t | frequency,
|  | Collection< TermVectorOffsetInfoPtr > | offsets,
|  | Collection< int32_t > | positions
| ) |  |

virtual

Callback for the TermVectorReader.

Implements Lucene::TermVectorMapper.

## ◆ setExpectations()

virtual void Lucene::PositionBasedTermVectorMapper::setExpectations | ( | const String & | field,
|  | int32_t | numTerms,
|  | bool | storeOffsets,
|  | bool | storePositions
| ) |  |

virtual

Callback mechanism used by the TermVectorReader.

Implements Lucene::TermVectorMapper.

## ◆ shared_from_this()

boost::shared_ptr< PositionBasedTermVectorMapper > Lucene::PositionBasedTermVectorMapper::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ currentField

String Lucene::PositionBasedTermVectorMapper::currentField

protected

## ◆ currentPositions

MapIntTermVectorsPositionInfo Lucene::PositionBasedTermVectorMapper::currentPositions

protected

A Map of Integer and TermVectorsPositionInfo.

## ◆ fieldToTerms

MapStringMapIntTermVectorsPositionInfo Lucene::PositionBasedTermVectorMapper::fieldToTerms

protected

## ◆ storeOffsets

bool Lucene::PositionBasedTermVectorMapper::storeOffsets

protected

The documentation for this class was generated from the following file:

- PositionBasedTermVectorMapper.h

clucene.sourceforge.net